Announcement Announcement Module
Collapse
No announcement yet.
problem using AspectJ AOP with Spring and Java 7 Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • problem using AspectJ AOP with Spring and Java 7

    I'm upgrading my application to Java 7. I get the following message.
    Initialization of bean failed; nested exception is java.lang.IllegalArgumentException: error the @annotation pointcut expression is only supported at Java 5 compliance level or above

    I see old threads that mention this problem with Java 6. I updated my aspectj jars to the latest I could find which is version 1.6.1. I am using Spring 3.0.5.

    Has anyone been able to get aspectj working under Java 7?

  • #2
    Solution aspectjweaver-1.6.12.jar is required.
    http://repo1.maven.org/maven2/org/as...ver-1.6.12.jar

    Comment


    • #3
      you need for instal it .net latest version then i hope it will not give you error

      Comment

      Working...
      X